diff --git a/doc/src/sgml/docguide.sgml b/doc/src/sgml/docguide.sgml
index c9c9862..6133205 100644
--- a/doc/src/sgml/docguide.sgml
+++ b/doc/src/sgml/docguide.sgml
@@ -290,6 +290,24 @@ sudo port install docbook-dsssl docbook-sgml-4.2 docbook-xml-4.2 docbook-xsl lib
   </sect2>
 
   <sect2>
+   <title>Gentoo</title>
+
+   <para>
+    When using Gentoo setting up the tool chain is relatively easy:
+<programlisting>
+sudo emerge -av app-text/openjade app-text/docbook-sgml-dtd:4.2 app-text/docbook-dsssl-stylesheets app-text/docbook-xsl-stylesheets libxslt
+</programlisting>
+    Since Gentoo often supports different versions of a package to be
+    installed you have to tell the PostgreSQL build environment where the
+    Docbook DTD is located:
+<programlisting>
+cd /path/to/postgresql/sources/doc
+make DOCBOOKSTYLE=/usr/share/sgml/docbook/sgml-dtd-4.2
+</programlisting>
+   </para>
+  </sect2>
+
+  <sect2>
    <title>Manual Installation from Source</title>
 
    <para>
